Subject: Re: Troubles with programs used as CGI's
From: [email-masked] (Gunther Ebert)

12 Jun 1997 16:15:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.01Gold (WinNT; I)
Original-To: Steve Coleman - SEWP <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Steve Coleman - SEWP wrote:
> 
> 
> I recently ported some code that is essentually an SMTP server that had to run
> as an NT service.  I managed to patch the code enough to allow it to run as a
> service but if anyone on the same box tries to run _anything_ compiled with
> the cygwin libraries it is garenteed to crash and burn.  The app (i.e. 'ls',
> 'grep', etc..) gets an access violation, drWatson.log, and exits with the text:
> 
> C:\>ls
> (unknown) shared_init: CreateFileMappingA
> cygwin: terminating
> 
> C:\>
> 

This is a known behaviour of cygwin up to beta 17. It is fixed in
the current release. I have no problems running multiple cygwin tasks 
simultaneously under different user accounts with b18.
Maybe your problem is an older cygwin.dll in your path.

Gunther
-- 

Gunther Ebert
iXOS Anwendungs-Software GmbH
Angerstrasse 40-42
D-04177 Leipzig

Phone : +49 341 48503-0
Fax   : +49 341 48503-99
E-mail: mailto:[email-masked]
www   : http://www.ixos-leipzig.de
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".